Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Lucid: upgrade python naar 2.7  (gelezen 326 keer)

Offline Basel

  • Lid
  • Steunpunt: Nee
Lucid: upgrade python naar 2.7
« Gepost op: 2012/04/28, 21:34:54 »
Op lucid probeer ik Ninja-ide te installeren. Maar de melding die ik krijg is: Error: Dependency is not satisfiable: python (>= 2.7.1-0ubuntu2). Nu heb ik geprobeerd python te upgraden met het volgende resultaat:
$ python -V
Python 2.6.6
$ python2.7 -V
Python 2.7.2+
$ python3 -V
Python 3.1.2

Ik heb begrepen dat de standaard versie niet te upgraden is, maar je alleen nieuwere versies naast de oude kan installeren.
Hoe ga ik de packageinstaller/het install script de nieuwere versie van python laten gebruiken?
Of moet ik de ide via een andere weg installeren?

Weet er iemand tips en/of trics om deze afhankelijkheid op te lossen of te omzeilen?
« Laatst bewerkt op: 2012/04/28, 21:39:32 door Basel »

Offline Basel

  • Lid
  • Steunpunt: Nee
Re: Lucid: upgrade python naar 2.7
« Reactie #1 Gepost op: 2012/04/29, 13:05:31 »
Heb een tijdelijke fix, Ninja-ide v1.1 geinstalleerd ipv v2. Daarna in "preferences > python path" heb ik python3 ingevuld. Dit lijkt te werken in de ide.
import sys
print (sys.version_info)
Geeft als resultaat:
Running: /home/bas/Scripts/versiontest.py
sys.version_info(major=3, minor=1, micro=2, releaselevel='final', serial=0)

Is het in synaptic ook in te stellen welk python path ze gebruikt zodat ik verie 2 van Ninja-ide kan installeren? Heb het zelf nog niet kunnen vinden na wat googlen.

Iemand hier ervaring mee of misschien een ander idee?